package fishrungames.bashgid;


import fishrungames.networkutils.ImageManager;
import fishrungames.bashgid.core.BookManager.BookRecord;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;


public class BookRecordFragment extends Fragment
{
	
	BookRecord bookRecord;
	
	public BookRecordFragment(BookRecord bookRecord)
	{
		this.bookRecord = bookRecord;
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		View rootView = inflater.inflate(R.layout.fragment_book_record_page, container, false);
		
		TextView nameTextView = (TextView) rootView.findViewById(R.id.nameTextView);
		nameTextView.setText(bookRecord.name);
		
		TextView authorTextView = (TextView) rootView.findViewById(R.id.authorTextView);
		authorTextView.setText(bookRecord.author);
		
		TextView descriptionTextView = (TextView) rootView.findViewById(R.id.descriptionTextView);
		descriptionTextView.setText(bookRecord.description);
		
		TextView priceTextView = (TextView) rootView.findViewById(R.id.priceTextView);
		priceTextView.setText(getResources().getString(R.string.price) + Integer.toString(bookRecord.price) + " " + getResources().getString(R.string.rub));
		
		ImageView imageView = (ImageView) rootView.findViewById(R.id.imageView);

		if (bookRecord.imageUrl.length() == 0)
		{
			imageView.setImageResource(R.drawable.no_picture);
		}
		else
		{
			ImageManager.getInstance().ApplyImageToImageView(imageView, bookRecord.imageUrl);
		}
		
		//ImageManager.getInstance().ApplyImageToImageView(imageView, realImageUrl);
		
		//Button buyButton = (Button) rootView.findViewById(R.id.buyButton);
		//Button readButton = (Button) rootView.findViewById(R.id.readButton);
		
		return rootView;
	}
	
	
}
