package fishrungames.bashgid;


import fishrungames.networkutils.ImageManager;
import fishrungames.bashgid.core.ArticleManager.ArticleFullData;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebView;
import android.widget.ImageView;
import android.widget.TextView;


public class NewsRecordFragment extends ArticleFragment
{
	
	TextView titleTextView;
	
	WebView webView;
	
	public NewsRecordFragment()
	{
		super();
	}
	
	public NewsRecordFragment(String articleName)
	{
		super(articleName);
	}
	
	public NewsRecordFragment(ArticleFullData article)
	{
		super(article);
	}
	
	@Override
	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		
		if (savedInstanceState != null) {
			articleName = savedInstanceState.getString("articleName");
			RestoreArticle();
        }
		
		View rootView = inflater.inflate(R.layout.fragment_news_record_page, container, false);
		
		titleTextView = (TextView) rootView.findViewById(R.id.titleTextView);
		
		webView = (WebView) rootView.findViewById(R.id.webView);
		
		webView.getSettings().setJavaScriptEnabled(false);
		
		return rootView;
	}
	
	@Override
	public void SetArticle(ArticleFullData article)
	{
		this.article = article;
		
		titleTextView.setText(article.title);
		
		String htmlCode = "<html><body>" + article.content + "</body></html>";
		
		webView.loadDataWithBaseURL(null, htmlCode, "text/html", "UTF-8", null);
		
	}
	
}
