package fishrungames.bashgid.core;

import fishrungames.bashgid.core.AlbumManager.AlbumFullData;
import fishrungames.bashgid.core.AlbumManager.AlbumRecordData;

public class VideoManager
{
	public static final int VIDEO_TYPE_YOUTUBE = 1;
	public static final int VIDEO_TYPE_OTHER = 2;
	

	public static class VideoRecordData
	{
		
		public int type;
		public String videoUrl;
		public String title;
		public String description;
		public String previewImageUrl;
		public String previewImageHash;
		
		public VideoRecordData(int type, String videoUrl, String title, String description, String previewImageUrl, String previewImageHash)
		{
			this.type = type;
			this.videoUrl = videoUrl;
			this.title = title;
			this.description = description;
			this.previewImageUrl = previewImageUrl;
			this.previewImageHash = previewImageHash;
		}
		
		public VideoRecordData(VideoRecordData copyFrom)
		{
			this.type = copyFrom.type;
			this.videoUrl = copyFrom.videoUrl;
			this.title = copyFrom.title;
			this.description = copyFrom.description;
			this.previewImageUrl = copyFrom.previewImageUrl;
			this.previewImageHash = copyFrom.previewImageHash;
		}
		
	}
	
	
	public static class VideoRecord extends VideoRecordData
	{
		public int id;
		
		public VideoRecord(int id, VideoRecordData recordData)
		{
			super(recordData);
			this.id = id;
		}
	}
	
	
	public static VideoRecordData CreateEmptyVideo()
	{
		VideoRecordData result = new VideoRecordData(0, "", "", "", "", "");
		
		return result;
	}
	
	
	
}
